Gestiono
Referencia de APITasks / Board

Get Board shared by shareid data

GET /v1/tasks/board/shared/:shareId/data • typed through route generics

← Back to full API reference
GET/v1/tasks/board/shared/:shareId/dataPublic endpoint
  • This endpoint can be called without an authenticated session.

Request details

Path params

  • shareId

    Required path parameter.

Query params

No explicit query schema was captured for this endpoint.

Body fields

No body payload expected for GET endpoints.

Default payloads

Path params

json
{
  "shareId": 1
}

Query

json
{}

Sample response

json
{
  "board": "<board>",
  "columns": "<columns>",
  "tasks": "<allTasks>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

GET/v1/tasks/board/shared/:shareId/dataPublic endpoint

Group: Tasks / Board

GET /v1/tasks/board/shared/:shareId/data • typed through route generics

  • This endpoint can be called without an authenticated session.

Path params

  • shareIdrequired

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.